package com.ruoyi.generator.domain.front;

import java.util.List;
import com.ruoyi.common.core.domain.BaseEntity;

public class FrontProjectTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long tableId;
    private Long projectId;
    private Long userId;
    private String tableName;
    private String tableComment;
    private String className;
    private String moduleName;
    private String businessName;
    private String functionName;
    private String tplCategory;
    private String tplWebType;
    private String options;
    private String createTableSql;
    private Integer sort;
    private String status;
    private List<FrontProjectColumn> columns;

    public Long getTableId() { return tableId; }
    public void setTableId(Long tableId) { this.tableId = tableId; }
    public Long getProjectId() { return projectId; }
    public void setProjectId(Long projectId) { this.projectId = projectId; }
    public Long getUserId() { return userId; }
    public void setUserId(Long userId) { this.userId = userId; }
    public String getTableName() { return tableName; }
    public void setTableName(String tableName) { this.tableName = tableName; }
    public String getTableComment() { return tableComment; }
    public void setTableComment(String tableComment) { this.tableComment = tableComment; }
    public String getClassName() { return className; }
    public void setClassName(String className) { this.className = className; }
    public String getModuleName() { return moduleName; }
    public void setModuleName(String moduleName) { this.moduleName = moduleName; }
    public String getBusinessName() { return businessName; }
    public void setBusinessName(String businessName) { this.businessName = businessName; }
    public String getFunctionName() { return functionName; }
    public void setFunctionName(String functionName) { this.functionName = functionName; }
    public String getTplCategory() { return tplCategory; }
    public void setTplCategory(String tplCategory) { this.tplCategory = tplCategory; }
    public String getTplWebType() { return tplWebType; }
    public void setTplWebType(String tplWebType) { this.tplWebType = tplWebType; }
    public String getOptions() { return options; }
    public void setOptions(String options) { this.options = options; }
    public String getCreateTableSql() { return createTableSql; }
    public void setCreateTableSql(String createTableSql) { this.createTableSql = createTableSql; }
    public Integer getSort() { return sort; }
    public void setSort(Integer sort) { this.sort = sort; }
    public String getStatus() { return status; }
    public void setStatus(String status) { this.status = status; }
    public List<FrontProjectColumn> getColumns() { return columns; }
    public void setColumns(List<FrontProjectColumn> columns) { this.columns = columns; }
}
